Activity log for bug #1324944

Date Who What changed Old value New value Message
2014-05-30 13:59:15 Diogo Matsubara bug added bug
2014-05-30 14:45:01 Raphaël Badin maas: importance Undecided High
2014-05-30 14:45:02 Raphaël Badin maas: status New Triaged
2014-05-30 15:41:31 Raphaël Badin branch linked lp:~rvb/maas/no-dhcp-write-of-unvalid-config
2014-06-02 00:29:25 Julian Edwards maas: milestone 1.6.0
2014-06-02 06:57:05 Raphaël Badin maas: importance High Critical
2014-06-02 07:20:08 Julian Edwards nominated for series maas/1.5
2014-06-02 07:20:08 Julian Edwards bug task added maas/1.5
2014-06-02 07:20:14 Julian Edwards maas/1.5: milestone 1.5.3
2014-06-02 07:20:16 Julian Edwards maas: milestone 1.6.0
2014-06-02 07:20:21 Julian Edwards maas/1.5: status New Triaged
2014-06-02 07:20:23 Julian Edwards maas/1.5: importance Undecided Critical
2014-06-02 07:50:32 Raphaël Badin branch linked lp:~rvb/maas/no-dhcp-write-of-unvalid-config-1.5
2014-06-02 07:56:58 Raphaël Badin maas: assignee Raphaël Badin (rvb)
2014-06-02 07:57:00 Raphaël Badin maas: status Triaged Fix Committed
2014-06-02 07:57:01 Raphaël Badin maas/1.5: assignee Raphaël Badin (rvb)
2014-06-02 08:08:20 Raphaël Badin maas/1.5: status Triaged Fix Committed
2014-06-02 18:58:26 Launchpad Janitor branch linked lp:ubuntu/utopic-proposed/maas
2014-06-04 04:02:01 Julian Edwards maas/1.5: status Fix Committed Fix Released
2014-06-04 04:02:03 Julian Edwards maas: status Fix Committed Fix Released
2014-06-06 17:05:11 Greg Lutostanski description It was observed in http://d-jenkins.ubuntu-ci:8080/view/MAAS/job/utopic-adt-maas/45/artifact/results/artifacts/maas-logs/var/log/maas/celery.log/*view*/ that MAAS triggers 5 write_dhcp_config tasks when only one nodegroup change was requested through the MAAS CLI (see the tests run by that jenkins job lines 407 to 444: http://bazaar.launchpad.net/~maas-maintainers/maas/qa-lab-tests/view/head:/maas-integration.py) This coupled to the fact that celery is not executing the tasks FIFO (see bug 1324943) seem to have a caused a race condition where the dhcp config done through the CLI is overwritten by a previous tasks. It was observed in http://d-jenkins.ubuntu-ci:8080/view/MAAS/job/utopic-adt-maas/45/artifact/results/artifacts/maas-logs/var/log/maas/celery.log/*view*/ that MAAS triggers 5 write_dhcp_config tasks when only one nodegroup change was requested through the MAAS CLI (see the tests run by that jenkins job lines 407 to 444: http://bazaar.launchpad.net/~maas-maintainers/maas/qa-lab-tests/view/head:/maas-integration.py) This coupled to the fact that celery is not executing the tasks FIFO (see bug 1324943) seem to have a caused a race condition where the dhcp config done through the CLI is overwritten by a previous tasks. [Impact] * Remove possible race condition that might cause changes to dhcpd.conf to be lost when stopping dhcpd [Testcase] * Install maas and run included test test_stop_dhcp_server_sends_command_and_writes_empty_config and test_set_up_dhcp_region from integration tests and check celery.log has only one write_dhcp_config task triggered [Regression Potential] * Minimal -- simply write blank config instead of invalid configs and only once
2014-06-06 19:56:49 Andres Rodriguez bug task added maas (Ubuntu)
2014-06-06 19:56:56 Andres Rodriguez nominated for series Ubuntu Trusty
2014-06-06 19:56:56 Andres Rodriguez bug task added maas (Ubuntu Trusty)
2014-06-06 19:57:03 Andres Rodriguez maas (Ubuntu): status New Fix Released
2014-06-07 03:10:31 Adam Conrad maas (Ubuntu Trusty): status New Fix Committed
2014-06-07 03:10:33 Adam Conrad bug added subscriber Ubuntu Stable Release Updates Team
2014-06-07 03:10:39 Adam Conrad bug added subscriber SRU Verification
2014-06-07 03:10:41 Adam Conrad tags verification-needed
2014-06-07 03:33:34 Launchpad Janitor branch linked lp:ubuntu/trusty-proposed/maas
2014-06-11 21:33:59 Diogo Matsubara tags verification-needed verification-done
2014-06-20 18:21:35 Stéphane Graber tags verification-done
2014-06-20 18:21:36 Stéphane Graber tags verification-needed
2014-07-03 14:08:03 Greg Lutostanski tags verification-needed verification-done
2014-07-03 16:05:26 Launchpad Janitor maas (Ubuntu Trusty): status Fix Committed Fix Released
2014-07-03 16:06:40 Stéphane Graber removed subscriber Ubuntu Stable Release Updates Team
2014-09-02 14:14:20 Chris J Arges maas (Ubuntu Trusty): status Fix Released In Progress
2014-09-03 14:34:19 Chris J Arges maas (Ubuntu Trusty): status In Progress Fix Committed
2014-09-03 14:34:23 Chris J Arges bug added subscriber Ubuntu Stable Release Updates Team
2014-09-03 14:34:25 Chris J Arges tags verification-done
2014-09-03 14:34:27 Chris J Arges tags verification-needed
2014-09-30 18:29:56 Andres Rodriguez tags verification-needed verification-done
2014-09-30 20:18:03 Launchpad Janitor maas (Ubuntu Trusty): status Fix Committed Fix Released